commit 45bc4fb769c72aa933d2ab09c1f90c5fc990fab9
parent c43b3e00f45333e0bace9a667bdfe135db50ee81
Author: Vincent Forest <vincent.forest@meso-star.com>
Date: Wed, 20 May 2026 15:00:29 +0200
htrdr: add a subsection dedicated to installation
Move the installation procedure to this new subsection so that users can
access it directly without having to scroll through the overview page.
Diffstat:
5 files changed, 116 insertions(+), 92 deletions(-)
diff --git a/htrdr/.gitignore b/htrdr/.gitignore
@@ -1,6 +1,8 @@
htrdr.md
htrdr.html
htrdr-docs.html
+install.md
+install.html
htrdr-mods.html
htrdr-atmosphere-spk.md
htrdr-atmosphere-spk.html
diff --git a/htrdr/htrdr.md.in b/htrdr/htrdr.md.in
@@ -162,6 +162,29 @@ quantities:
([open access](https://arxiv.org/abs/1902.01137))
+[](images/gulder_horizontal_slides.jpg)
+
+> Renderings in the visible range calculated by
+> [htrdr-combustion](man/man1/htrdr-combustion.1.html) of a laminar
+> sooting flame seen from above and illuminated by a laser sheet.
+> The images display radiation that is emitted by the laser, scattered
+> and transmitted by the combustion medium.
+> The laser sheet is horizontal, and intersects the medium at various
+> heights.
+> One can see the difference in the scattered signal between the left
+> and right parts of the image; since the laser propagates from the left
+> to the right, it is progressively attenuated while traveling the
+> medium.
+> The intensity of radiation subject to scattering therefore decreases.
+> In addition to these trapping effect these images provide some insight
+> about the scattering cross-section of the medium as a function of
+> height.
+> Scattering properties of soot gradually increase from the injection
+> position to a height of approximately 35 mm.
+> A steep decrease follows:
+> the image for a height of 40 mm is very similar to the image obtained
+> at 10 mm.
+
<span id="rel_projects"/>
## Related projects
@@ -231,97 +254,6 @@ research projects:
a *unstructured tetrahedral volumetric grid*, independant for ach
medium.
-[](images/gulder_horizontal_slides.jpg)
-
-> Renderings in the visible range calculated by
-> [htrdr-combustion](man/man1/htrdr-combustion.1.html) of a laminar
-> sooting flame seen from above and illuminated by a laser sheet.
-> The images display radiation that is emitted by the laser, scattered
-> and transmitted by the combustion medium.
-> The laser sheet is horizontal, and intersects the medium at various
-> heights.
-> One can see the difference in the scattered signal between the left
-> and right parts of the image; since the laser propagates from the left
-> to the right, it is progressively attenuated while traveling the
-> medium.
-> The intensity of radiation subject to scattering therefore decreases.
-> In addition to these trapping effect these images provide some insight
-> about the scattering cross-section of the medium as a function of
-> height.
-> Scattering properties of soot gradually increase from the injection
-> position to a height of approximately 35 mm.
-> A steep decrease follows:
-> the image for a height of 40 mm is very similar to the image obtained
-> at 10 mm.
-
-## Installation
-
-No pre-compiled version of `htrdr` is provided;
-it must be compiled directly from its source tree. A simple way is to
-rely on [star-build](https://gitlab.com/meso-star/star-build/), which
-automates the build and installation of `htrdr` and its dependencies
-from source code.
-
-### Prerequisites
-
-To build `htrdr` with `star-build`, first make sure your system has the
-following prerequisites:
-
-- POSIX shell
-- POSIX make
-- curl
-- git
-- mandoc
-- pkg-config
-- sha512sum
-- GNU Compiler Collection in version 8.3 or higher
-- netCDF4 library and headers
-- OpenMPI library and headers in version 2 or higher
-
-### Build
-
-Assuming that the aforementioned prerequisites are available, the build
-procedure is summed up to:
-
- git clone https://gitlab.com/meso-star/star-build.git
- cd star-build
- make \
- PREFIX=~/htrdr_@VERSION@ \
- BUILD=src/rad-apps/htrdr_@VERSION@.sh
-
-With `PREFIX` defining the path where `htrdr` will be installed and
-`BUILD` defining the installation script to be run.
-
-By default, the whole `htrdr` project is built but you may prefer to
-deploy `htrdr` only for a specific application, i.e. only for
-atmospheric radiative transfer, combustion processes or planetary
-science.
-For example, to install only the atmospheric part of `htrdr`:
-
- make \
- PREFIX=~/htrdr_@VERSION@ \
- BUILD=src/rad-apps/htrdr_@VERSION@.sh \
- ATMOSPHERE=ENABLE \
- COMBUSTION=DISABLE \
- PLANETS=DISABLE
-
-### Run
-
-Evaluate the installed `profile` file in the current
-shell to register `htrdr` against it. You can then run
-`htrdr` and consult its manual pages:
-
- . ~/htrdr_@VERSION@/etc/profile
- htrdr -h
- man htrdr
-
-Refer to the Starter Packs
-([atmosphere](htrdr-atmosphere-spk.html),
-[combustion](htrdr-combustion-spk.html) or
-[planets](htrdr-planets-spk.html))
-to quickly run a `htrdr` calculation; these archives provide input data
-and scripts that are good starting points to use `htrdr`.
-
[](
images/downward_flux_500x500x2048_sw_380_4000_879.349.jpg)
diff --git a/htrdr/index.tsv b/htrdr/index.tsv
@@ -1,6 +1,7 @@
Overview htrdr.html
+Installation install.html
Manual pages htrdr-docs.html
Atmosphere htrdr-atmosphere-spk.html
Combustion htrdr-combustion-spk.html
Planets htrdr-planets-spk.html
-Git https://gitlab.com/meso-star/htrdr
+Git https://www.meso-star.com/git/htrdr
diff --git a/htrdr/install.md.in b/htrdr/install.md.in
@@ -0,0 +1,67 @@
+# Compile from source
+
+No pre-compiled version of `htrdr` is provided;
+it must be compiled directly from its source tree.
+A simple way is to rely on
+[star-build](https://www.meso-star.com/git/star-build/), which automates the
+build and installation of `htrdr` and its dependencies from source code.
+
+## Prerequisites
+
+To build `htrdr` with `star-build`, first make sure your system has the
+following prerequisites:
+
+- POSIX shell
+- POSIX make
+- curl
+- git
+- mandoc
+- pkg-config
+- sha512sum
+- GNU Compiler Collection in version 8.3 or higher
+- netCDF4 library and headers
+- OpenMPI library and headers in version 2 or higher
+
+## Build
+
+Assuming that the aforementioned prerequisites are available, the build
+procedure is summed up to:
+
+ git clone git://git.meso-star.com/star-build.git
+ cd star-build
+ make \
+ PREFIX=~/htrdr_@VERSION@ \
+ BUILD=src/rad-apps/htrdr_@VERSION@.sh
+
+With `PREFIX` defining the path where `htrdr` will be installed and
+`BUILD` defining the installation script to be run.
+
+By default, the whole `htrdr` project is built but you may prefer to
+deploy `htrdr` only for a specific application, i.e. only for
+atmospheric radiative transfer, combustion processes or planetary
+science.
+For example, to install only the atmospheric part of `htrdr`:
+
+ make \
+ PREFIX=~/htrdr_@VERSION@ \
+ BUILD=src/rad-apps/htrdr_@VERSION@.sh \
+ ATMOSPHERE=ENABLE \
+ COMBUSTION=DISABLE \
+ PLANETS=DISABLE
+
+## Run
+
+Evaluate the installed `profile` file in the current
+shell to register `htrdr` against it. You can then run
+`htrdr` and consult its manual pages:
+
+ . ~/htrdr_@VERSION@/etc/profile
+ htrdr -h
+ man htrdr
+
+Refer to the Starter Packs
+([atmosphere](htrdr-atmosphere-spk.html),
+[combustion](htrdr-combustion-spk.html) or
+[planets](htrdr-planets-spk.html))
+to quickly run a `htrdr` calculation; these archives provide input data
+and scripts that are good starting points to use `htrdr`.
diff --git a/htrdr/install.sh b/htrdr/install.sh
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+# Copyright (C) 2017-2026 |Méso|Star> (contact@meso-star.com)
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+. "./config.sh.in"
+
+set -e
+
+sed "s/@VERSION@/${htrdr_version}/g" install.md.in